Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.odftoolkit.odfdom.dom.type.form
Enum OdfImagePositionType

    java.lang.Object
      java.lang.Enum<OdfImagePositionType>
          org.odftoolkit.odfdom.dom.type.form.OdfImagePositionType

All Implemented Interfaces:
  Serializable, Comparable<OdfImagePositionType>

    public enum OdfImagePositionType

extends Enum<OdfImagePositionType>

DOM implementation of OpenDocument attribute form:image-position.

Enum Constant Summary
`BOTTOM`
`CENTER`
`END`
`START`
`TOP`

Method Summary
`static OdfImagePositionType` | `enumValueOf(String stringValue)` String to enum, turns a String into its corresponding enum constant
`String` | `toString()` gets the name of this enum.
`static String` | `toString(OdfImagePositionType enumeration)` enum to String, gets the name of this enum constant as a string.
`static OdfImagePositionType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static OdfImagePositionType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### TOP

    public static final OdfImagePositionType TOP

### END

    public static final OdfImagePositionType END

### BOTTOM

    public static final OdfImagePositionType BOTTOM

### START

    public static final OdfImagePositionType START

### CENTER

    public static final OdfImagePositionType CENTER

Method Detail

### values

    public static OdfImagePositionType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (OdfImagePositionType c : OdfImagePositionType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static OdfImagePositionType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  gets the name of this enum.

  Overrides:
    `toString` in class `Enum<OdfImagePositionType>`
  Returns:
    return the name of OdfImagePositionType

### toString

    public static String toString(OdfImagePositionType enumeration)

  enum to String, gets the name of this enum constant as a string.

  Parameters:
    `enumeration` - the constant of OdfImagePositionType, see form:image-position
  Returns:
    return the name of OdfImagePositionType

### enumValueOf

    public static OdfImagePositionType enumValueOf(String stringValue)

  String to enum, turns a String into its corresponding enum constant

  Parameters:
    `stringValue` - the name of OdfImagePositionType
  Returns:
    return the constant of OdfImagePositionType, see form:image-position

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009. All Rights Reserved.